Get a portal details
curl --request GET \
--url https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"archived": false,
"color": "#1F93FF",
"config": {
"allowed_locales": [
{
"code": "en",
"articles_count": 32,
"categories_count": 9
}
]
},
"custom_domain": "ajuda.exemplo.com.br",
"header_text": "Handbook",
"homepage_link": "https://www.exemplo.com.br",
"name": "Handbook",
"slug": "handbook",
"page_title": "Handbook",
"account_id": 123,
"inbox": {
"id": 123,
"name": "ChatClean",
"website_url": "exemplo.com.br",
"channel_type": "Channel::WebWidget",
"avatar_url": "https://example.com/avatar.png",
"widget_color": "#1F93FF",
"website_token": "4cWzuf9i9jxN9tbnv8K9STKU",
"enable_auto_assignment": true,
"web_widget_script": "<script>...</script>",
"welcome_title": "Hi there ! 🙌🏼",
"welcome_tagline": "We make it simple to connect with us.",
"greeting_enabled": true,
"greeting_message": "Hey there 👋, Thank you for reaching out to us.",
"channel_id": 123,
"working_hours_enabled": true,
"enable_email_collect": true,
"csat_survey_enabled": true,
"timezone": "America/Los_Angeles",
"business_name": "ChatClean",
"hmac_mandatory": true
},
"logo": {
"id": 123,
"portal_id": 123,
"file_type": "image/png",
"account_id": 123,
"file_url": "https://example.com/logo.png",
"blob_id": 123,
"filename": "square.png"
},
"meta": {
"all_articles_count": 32,
"categories_count": 9,
"default_locale": "en"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Help Center
Get a portal details
Get the details of a portal in the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
portals
/
{portal_slug}
Get a portal details
curl --request GET \
--url https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"archived": false,
"color": "#1F93FF",
"config": {
"allowed_locales": [
{
"code": "en",
"articles_count": 32,
"categories_count": 9
}
]
},
"custom_domain": "ajuda.exemplo.com.br",
"header_text": "Handbook",
"homepage_link": "https://www.exemplo.com.br",
"name": "Handbook",
"slug": "handbook",
"page_title": "Handbook",
"account_id": 123,
"inbox": {
"id": 123,
"name": "ChatClean",
"website_url": "exemplo.com.br",
"channel_type": "Channel::WebWidget",
"avatar_url": "https://example.com/avatar.png",
"widget_color": "#1F93FF",
"website_token": "4cWzuf9i9jxN9tbnv8K9STKU",
"enable_auto_assignment": true,
"web_widget_script": "<script>...</script>",
"welcome_title": "Hi there ! 🙌🏼",
"welcome_tagline": "We make it simple to connect with us.",
"greeting_enabled": true,
"greeting_message": "Hey there 👋, Thank you for reaching out to us.",
"channel_id": 123,
"working_hours_enabled": true,
"enable_email_collect": true,
"csat_survey_enabled": true,
"timezone": "America/Los_Angeles",
"business_name": "ChatClean",
"hmac_mandatory": true
},
"logo": {
"id": 123,
"portal_id": 123,
"file_type": "image/png",
"account_id": 123,
"file_url": "https://example.com/logo.png",
"blob_id": 123,
"filename": "square.png"
},
"meta": {
"all_articles_count": 32,
"categories_count": 9,
"default_locale": "en"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
userBearerAuthuserApiKey
Path Parameters
Response
Success

